
Ruby - Bug #12579

Backport rubygems fix from upstream repo for Ruby 2.2.x (2)

07/09/2016 11:19 PM - hsbt (Hiroshi SHIBATA)

Status: Closed   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version:    

ruby -v:  Backport: 2.1: DONTNEED, 2.2: DONE, 2.3:

DONTNEED

Description

It's difference backport request with #12248

rubygems fixes failure of installation on NFS. I attached patch that it fixes.

see https://github.com/rubygems/rubygems/issues/1161#issuecomment-230893471

and I hope to bump version to rubygems-2.4.5.2

Related issues:

Related to Ruby - Bug #11847: Install error on Linux NFS system Closed

Related to Ruby - Bug #12248: Backport rubygems fix from upstream repo for Ru... Rejected

Associated revisions

Revision 36ecd73133f43b336ace7943ad1c91c3ce4ef9ad - 08/16/2016 04:31 AM - U.Nakamura 

lib/rubygems/package.rb: Fixed potential perms issue unpacking of

gems on NFS.  [Backport #12579]

lib/rubygems.rb: bump version.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55920 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 36ecd731 - 08/16/2016 04:31 AM - U.Nakamura 

lib/rubygems/package.rb: Fixed potential perms issue unpacking of

gems on NFS.  [Backport #12579]

lib/rubygems.rb: bump version.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55920 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/11/2016 12:42 AM - hsbt (Hiroshi SHIBATA)

- Related to Bug #11847: Install error on Linux NFS system added

#2 - 08/16/2016 12:34 AM - usa (Usaku NAKAMURA)

- Related to Bug #12248: Backport rubygems fix from upstream repo for Ruby 2.2.x added

#3 - 08/16/2016 04:32 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: DONTNEED, 2.2: REQUIRED, 2.3: DONTNEED to 2.1: DONTNEED, 2.2: DONE, 2.3: DONTNEED

Files

rubygems.patch 677 Bytes 07/09/2016 hsbt (Hiroshi SHIBATA)
